#include <bits/stdc++.h>
#define ll long long
using namespace std;
const ll mod=1e9+7;
vector<ll> a;
ll T,n,m,v;
int main()
{
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	scanf("%lld",&T);
	return 0;
}
